
if not MenuCustomizeControllerCreator or not MenuCustomizeControllerCreator.CONTROLS or not MenuCustomizeControllerCreator.CONTROLS_INFO then
	log("[DecoupleSecondaryDeployableKey] Error: MenuCustomizeControllerCreator or MenuCustomizeControllerCreator.CONTROLS or MenuCustomizeControllerCreator.CONTROLS_INFO is nil, aborting")
	return
end

local found = false
for __, data in ipairs(MenuCustomizeControllerCreator.CONTROLS or {}) do
	if data == "change_equipment" then
		found = true
		break
	end
end

if not found then
	table.insert(MenuCustomizeControllerCreator.CONTROLS, "change_equipment")
end

found = false
for __, data in ipairs(MenuCustomizeControllerCreator.CONTROLS_INFO or {}) do
	if data == "change_equipment" then
		found = true
		break
	end
end

if not found then
	MenuCustomizeControllerCreator.CONTROLS_INFO.change_equipment = {
		text_id = "menu_button_change_equipment",
		category = "normal"
	}
end

-- Yep, that's it. That's really all there is to this fix

Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_DecoupleSecondaryDeployableKey", function(loc)
	loc:add_localized_strings({
		["menu_button_change_equipment"] = "Switch deployables"
		})
end)
